Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: [OMPI devel] rpmbuild of 1.6.2 fails when build_all_in_one_rpm is 0, works when 1
From: Kevin Buckley (kevin.buckley.ecs.vuw.ac.nz_at_[hidden])
Date: 2012-10-10 21:31:07


Hi there,

I'd had deep joy when rebuilding from the SRPM of 1.6.2 as follows

rpmbuild \
 --define '_topdir /home/scifachpc01/buckleke/rpmbuild' \
 --define 'install_in_opt 1' \
 --define 'install_shell_scripts 1' \
 --define 'install_modulefile 1' \
 --define 'use_mpi_selector 1' \
 -bb openmpi-1.6.2.spec

and so thought to try splitting out the various RPMS, so attempted an

rpmbuild \
 --define '_topdir /home/scifachpc01/buckleke/rpmbuild' \
 --define 'install_in_opt 1' \
 --define 'install_shell_scripts 1' \
 --define 'install_modulefile 1' \
 --define 'use_mpi_selector 1' \
 --define 'build_all_in_one_rpm 0' \
 -bb openmpi-1.6.2.spec

however, deep sorrow.

Cutting the lines from the tail of my grab of the output shows

---------8<--------------------------------8<--------------------------------8<--------------------------------8<-----------------------
...
Processing files: openmpi-runtime-1.6.2-1
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.68586
...
warning: File listed twice:
/opt/openmpi/1.6.2-gcc/share/openmpi/help-orte-notifier-command.txt
...
Processing files: openmpi-devel-1.6.2-1
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit) libdl.so.2()(64bit) libm.so.6()(64bit)
libnsl.so.1()(64bit) libopen-pal.so.4()(64bit)
libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit)
librt.so.1()(64bit) libutil.so.1()(64bit) openmpi-runtime
rtld(GNU_HASH)
Processing files: openmpi-docs-1.6.2-1
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: openmpi-runtime
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/openmpi-1.6.2-1-root
error: Installed (but unpackaged) file(s) found:
   /opt/openmpi/1.6.2-gcc/bin/mpiCC-vt
   /opt/openmpi/1.6.2-gcc/bin/mpic++-vt
   /opt/openmpi/1.6.2-gcc/bin/mpicc-vt
   /opt/openmpi/1.6.2-gcc/bin/mpicxx-vt
   /opt/openmpi/1.6.2-gcc/bin/mpif77-vt
   /opt/openmpi/1.6.2-gcc/bin/mpif90-vt
   /opt/openmpi/1.6.2-gcc/bin/ompi-clean
   /opt/openmpi/1.6.2-gcc/bin/ompi-iof
   /opt/openmpi/1.6.2-gcc/bin/ompi-probe
   /opt/openmpi/1.6.2-gcc/bin/ompi-profiler
   /opt/openmpi/1.6.2-gcc/bin/ompi-ps
   /opt/openmpi/1.6.2-gcc/bin/ompi-top
   /opt/openmpi/1.6.2-gcc/bin/orte-top
   /opt/openmpi/1.6.2-gcc/bin/orteCC
   /opt/openmpi/1.6.2-gcc/bin/orte_wrapper_script
   /opt/openmpi/1.6.2-gcc/bin/ortec++
   /opt/openmpi/1.6.2-gcc/bin/ortecc
   /opt/openmpi/1.6.2-gcc/etc/openmpi-default-hostfile
   /opt/openmpi/1.6.2-gcc/etc/openmpi-mca-params.conf
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi-c.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi-cxx.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi-f77.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi-f90.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/orte.pc
   /opt/openmpi/1.6.2-gcc/share/config.log
   /opt/openmpi/1.6.2-gcc/share/libtool
   /opt/openmpi/1.6.2-gcc/share/omp.h

RPM build errors:
    File listed twice:
/opt/openmpi/1.6.2-gcc/share/openmpi/help-orte-notifier-command.txt
    Installed (but unpackaged) file(s) found:
   /opt/openmpi/1.6.2-gcc/bin/mpiCC-vt
   /opt/openmpi/1.6.2-gcc/bin/mpic++-vt
   /opt/openmpi/1.6.2-gcc/bin/mpicc-vt
   /opt/openmpi/1.6.2-gcc/bin/mpicxx-vt
   /opt/openmpi/1.6.2-gcc/bin/mpif77-vt
   /opt/openmpi/1.6.2-gcc/bin/mpif90-vt
   /opt/openmpi/1.6.2-gcc/bin/ompi-clean
   /opt/openmpi/1.6.2-gcc/bin/ompi-iof
   /opt/openmpi/1.6.2-gcc/bin/ompi-probe
   /opt/openmpi/1.6.2-gcc/bin/ompi-profiler
   /opt/openmpi/1.6.2-gcc/bin/ompi-ps
   /opt/openmpi/1.6.2-gcc/bin/ompi-top
   /opt/openmpi/1.6.2-gcc/bin/orte-top
   /opt/openmpi/1.6.2-gcc/bin/orteCC
   /opt/openmpi/1.6.2-gcc/bin/orte_wrapper_script
   /opt/openmpi/1.6.2-gcc/bin/ortec++
   /opt/openmpi/1.6.2-gcc/bin/ortecc
   /opt/openmpi/1.6.2-gcc/etc/openmpi-default-hostfile
   /opt/openmpi/1.6.2-gcc/etc/openmpi-mca-params.conf
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi-c.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi-cxx.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi-f77.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi-f90.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/ompi.pc
   /opt/openmpi/1.6.2-gcc/lib/pkgconfig/orte.pc
   /opt/openmpi/1.6.2-gcc/share/config.log
   /opt/openmpi/1.6.2-gcc/share/libtool
   /opt/openmpi/1.6.2-gcc/share/omp.h
---------8<--------------------------------8<--------------------------------8<--------------------------------8<-----------------------

and there it ends, having not created any RPMS.

The system is a RHEL5.8 with rpm-build-4.4.2.3-28.el5_8.x86_64.rpm

The sharp-eyed amongst you will have noticed that there's a "-gcc"
suffix to the

/opt/%{name}/%{version}

parts, something I altered the spec-file to obtain, as I was also
thinking of building a version
against the PGI compilers, however, rest assured I saw the failiure to
build sperated RPMs
with a vanilla spec-file as well.

Obviously no show stopper, as I can build the "all_in_one_rpm" but
thought to feed
the experience back.

Kevin Buckley
ECS, VUW, NZ